/* FILE: main.c
 * DESCRIPTION: Exemple GTK2+ pour utiliser les listes deroulantes.
 * AUTHOR: Guillaume Riviere (C) 2017
 */

#include <stdlib.h>

#include <gtk/gtk.h>
#include "callbacks.h"

GtkBuilder *builder;

int main (int argc, char *argv[]) {
  GtkWidget  *window1;

  gtk_init (&argc, &argv);

  builder = gtk_builder_new ();
  if (gtk_builder_add_from_file (builder, "gtk_combobox_example_2.24.glade", NULL) == 0) {
    fprintf (stderr, "Erreur: ouverture du fichier GLADE\n") ;
    exit(1);
  }

  window1 = GTK_WIDGET (gtk_builder_get_object (builder, "window1"));
  gtk_builder_connect_signals (builder, NULL);

  gtk_widget_show (window1);
  gtk_main ();
  g_object_unref (G_OBJECT (builder));

  printf ("Fin du programme\n") ;
  
  return EXIT_SUCCESS ;
}

